Skip to content
extensions / Commerce extension
GET/api/projects/{project_id}/sales/shipments/{shipment_id}

Get Shipment

Get shipment detail

Authentication

Requirement
Required
Credential type
Bearer API key
Scopes
Not specified

Permissions

  • Requests are scoped to the target project_id. API-key requests must use a key with an active connection to that project.

Headers

NameRequiredTypeDetails
AuthorizationYesNot specified
Description: Bearer credential used to authenticate the request.

Path Parameters

NameRequiredTypeDetails
project_idYesNot specified
Description: Target project identifier.
shipment_idYesNot specified
Description: Identifier for shipment.

Query Parameters

Request Body

Response Body

Example 200 response

json
{
  "id": 1,
  "project_id": 1,
  "order_id": 1,
  "shipment_number": "string",
  "total_qty": "string",
  "carrier_code": "string",
  "carrier_title": "string",
  "tracking_number": "string",
  "tracking_url": "string",
  "status": "active",
  "comment": "string",
  "shipped_at": "2026-01-01T00:00:00Z",
  "created_at": "2026-01-01T00:00:00Z",
  "updated_at": "2026-01-01T00:00:00Z"
}

Errors

404 not_found500 internal_server_error

Availability

Available in
v0.1.0
Available since
v0.1.0
Implementation
Available
Deprecation
Not specified
Rate limits
Not specified